# std::tr1::_Mem_fn< _Res _Class::* > Class Template Reference

List of all members.

## Detailed Description

### template<typename _Res, typename _Class>
class std::tr1::_Mem_fn< _Res _Class::* >

Definition at line 408 of file tr1/functional.

## Public Member Functions

- _Mem_fn (_Res _Class::*__pm)
- template<typename _Tp> _Result_type< _Tp >::type operator() (_Tp &__unknown) const
- const _Res & operator() (const _Class *__object) const
- _Res & operator() (_Class *__object) const
- const _Res & operator() (const _Class &__object) const
- _Res & operator() (_Class &__object) const

## Classes

- struct _Result_type
- struct result< _CVMem(_Tp &)>
- struct result< _CVMem(_Tp)>

The documentation for this class was generated from the following file:

- tr1/functional